package com.yanzhu.jh.trouble.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.trouble.mapper.SmzSspMarksMapper;
import com.yanzhu.jh.trouble.domain.SmzSspMarks;
import com.yanzhu.jh.trouble.service.ISmzSspMarksService;

/**
 * 质量留痕Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2023-07-28
 */
@Service
public class SmzSspMarksServiceImpl implements ISmzSspMarksService 
{
    @Autowired
    private SmzSspMarksMapper smzSspMarksMapper;

    /**
     * 查询质量留痕
     * 
     * @param id 质量留痕主键
     * @return 质量留痕
     */
    @Override
    public SmzSspMarks selectSmzSspMarksById(String id)
    {
        return smzSspMarksMapper.selectSmzSspMarksById(id);
    }

    /**
     * 查询质量留痕列表
     * 
     * @param smzSspMarks 质量留痕
     * @return 质量留痕
     */
    @Override
    public List<SmzSspMarks> selectSmzSspMarksList(SmzSspMarks smzSspMarks)
    {
        return smzSspMarksMapper.selectSmzSspMarksList(smzSspMarks);
    }

    /**
     * 新增质量留痕
     * 
     * @param smzSspMarks 质量留痕
     * @return 结果
     */
    @Override
    public int insertSmzSspMarks(SmzSspMarks smzSspMarks)
    {
        return smzSspMarksMapper.insertSmzSspMarks(smzSspMarks);
    }

    /**
     * 修改质量留痕
     * 
     * @param smzSspMarks 质量留痕
     * @return 结果
     */
    @Override
    public int updateSmzSspMarks(SmzSspMarks smzSspMarks)
    {
        return smzSspMarksMapper.updateSmzSspMarks(smzSspMarks);
    }

    /**
     * 批量删除质量留痕
     * 
     * @param ids 需要删除的质量留痕主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspMarksByIds(String[] ids)
    {
        return smzSspMarksMapper.deleteSmzSspMarksByIds(ids);
    }

    /**
     * 删除质量留痕信息
     * 
     * @param id 质量留痕主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspMarksById(String id)
    {
        return smzSspMarksMapper.deleteSmzSspMarksById(id);
    }
}
